//------------------------------------------------------------------------------------------------------------------------
// Class       : BP_Triceratops
// Author      : BehemothProgrammer
// Description : Triceratops with a missle launcher and no rider.
// OnTrigger   : Nothing
//
// Parameters  : 
//------------------------------------------------------------------------------------------------------------------------

class BP_Triceratops : TurokEnemy
{
	//------------------------------------------------------------------------------------------------------------------------
    BP_Triceratops(kActor @actor)
    {
        super(actor);
    }
	//------------------------------------------------------------------------------------------------------------------------
    void RiderFireMissiles(kActor @instigator, const float w, const float x, const float y, const float z)
    {
        if (self.GetTarget() is null)
            return;
        
        self.SpawnFx("fx/BP/triceratops_rocket.kfx", kVec3(x, y, z));
    }
	//------------------------------------------------------------------------------------------------------------------------
    void RiderFireShots(kActor @instigator, const float w, const float x, const float y, const float z)
    {
        if (self.GetTarget() is null)
            return;
        
        self.SpawnFx("fx/generic_201.kfx", kVec3(x, y, z));
    }
	//------------------------------------------------------------------------------------------------------------------------
    void GunFire(kActor @instigator, const float w, const float x, const float y, const float z)
    {
        if (self.GetTarget() is null)
            return;

        self.PlaySound("sounds/shaders/generic_8_enemy_human_gunfire.ksnd");
        self.SpawnFx("fx/robot_bullet.kfx", kVec3(x, y, z));
    }
	//------------------------------------------------------------------------------------------------------------------------
};
