#include "scripts/common.txt"

const bool DEV_MODE = true; //Currently not used

const kStr GV_KEY_SYSTEM = "JH_System";

const int SCRIPT_MAP_COMMON_START = 0;
const int SCRIPT_MAP_COMMON_TICK = 1;

const kStr ACTOR_NAME_FLYINGRIDE = "JH_FlyingDino";

const kStr PATH_MODEL_DETAIL_GRASS = "models/BP/detail_grass.bin";
const kStr PATH_ANIM_EMPTY = "anims/BP/empty_anim.bin";
const kStr PATH_MUSIC_JUNGLEHUNTER = "sounds/BP/music_junglehunter.ksnd";
const kStr PATH_MUSIC_INTOTHEJUNGLE = "sounds/BP/music_intothejungle.ksnd";

enum JHMapIDs
{
    MAP_JUNGLEHUNTER1 = 64
}

enum JHActorTypes
{
	//Only spawned actors that require a type
    JH_AT_NEWGAMEKEY = 6000,
    JH_AT_DESTRUCTIBLETREE = 6001,
    JH_AT_MAP = 6002,
}

enum JHSystemFlags
{
    JH_SF_GAMESTARTED = (1 << 0),
    JH_SF_GAMEFINISHED = (1 << 1)
}
