#include "BP_Addons/scripts/BP_Common_Shared.cpp"

//------------------------------------------------------------------------------------------------------------------------
// Tick Cinema Camera Movement
//------------------------------------------------------------------------------------------------------------------------
$script 50000
{
	Camera.origin = Math::SmoothStepVec3(Cinema::camLerpFrom, Cinema::camLerpTo, Cinema::camLerpTime / Cinema::camLerpTotalTime);
	if (Cinema::IsCameraMoveFinished())
		return;
	Cinema::camLerpTime += GAME_DELTA_TIME;
	
	$restart;
}
//------------------------------------------------------------------------------------------------------------------------
// Tick Cinema User Interrupted
//------------------------------------------------------------------------------------------------------------------------
$script 50001
{
    if (Camera.UserInterrupted())
    {
		Cinema::Stop(true);
        return;
    }

    $restart;
}
//------------------------------------------------------------------------------------------------------------------------
// Tick Cinema Camera Shake
//------------------------------------------------------------------------------------------------------------------------
$script 50002
{
	Camera.Tremor().x = Math::RandRange(-Math::ONEDEGREERAD, Math::ONEDEGREERAD) * Cinema::camShakePower;
    Camera.Tremor().y = Math::RandRange(-Math::ONEDEGREERAD, Math::ONEDEGREERAD) * Cinema::camShakePower;
    Camera.Tremor().z = Math::RandRange(-Math::ONEDEGREERAD, Math::ONEDEGREERAD) * Cinema::camShakePower;
	
	if (Time::Reached(Cinema::camShakeTime))
		return;
		
    delay(0.01f);
    $restart;
}
//------------------------------------------------------------------------------------------------------------------------
