namespace Array
{
	//------------------------------------------------------------------------------------------------------------------------
	bool IndexInRange(const uint length, const int index)
	{
		return index >= 0 && index < int(length);
	}
	//------------------------------------------------------------------------------------------------------------------------
	bool IndexInRange(const int length, const int index)
	{
		return index >= 0 && index < length;
	}
	//------------------------------------------------------------------------------------------------------------------------
	int RandomIndex(const uint length)
	{
		return Math::RandMax(int(length));
	}
	//------------------------------------------------------------------------------------------------------------------------
	int NextIndex(const uint length, int index, const int step = 1)
	{
		index += step;
		if (index >= int(length))
			index = 0;
		
		return index;
	}
	//------------------------------------------------------------------------------------------------------------------------
	kStr ToString(array<int> &ary)
	{
		kStr result;
		if (ary.length() > 0)
		{
			result = "" + ary[0];
			for (uint i = 1; i < ary.length(); i++)
			{
				result += " " + ary[i];
			}
		}
		return result;
	}
	//------------------------------------------------------------------------------------------------------------------------
}
