namespace Music
{
	//------------------------------------------------------------------------------------------------------------------------
	bool IsPlaying()
	{
		return !String::IsEmpty(GameVar::GetString(GV_BP_KEY_MUSIC));
	}
	//------------------------------------------------------------------------------------------------------------------------
	// Path: The path to the soundshader
	// mapID: The mapID the music will play in. if -2 will continue to play in any map.
	//------------------------------------------------------------------------------------------------------------------------
	void Play(const kStr &in path, const int mapID)
	{
		GameVar::SetString(GV_BP_KEY_MUSIC, path);
		GameVar::SetInt(GV_BP_KEY_MUSICMAP, mapID);
	}
	//------------------------------------------------------------------------------------------------------------------------
	void Play(const kStr &in path)
	{
		Play(path, Game.GetCurrentMapID());
	}
	//------------------------------------------------------------------------------------------------------------------------
	void Stop()
	{
		GameVar::SetString(GV_BP_KEY_MUSIC, "");
	}
	//------------------------------------------------------------------------------------------------------------------------
}
